package com.bankaudit.dto.process;

import java.util.Date;

public class AuditDto {
	
	private Integer legalEntityCode;
	
	private String auditTypeCode;
	
	private String planId;
	
	private String auditId;
	
	private String unitId;
	
	private String auditStatus;
	
	private String reportStatus;

	private String allocator;
	
	private String reportLanguage;
	
	private String reportReviewer;
	
	private Date reportReviewerStartDate;
	
	private Date reportReviewerTargetDate;
	
	private Date reportTargetDate;
	
	private Date reportReviewEndDate;
	
	private Date reportDispatchDate;
	
	private transient String actionMakerId;
	private transient String actionMakerRole;
	private transient String assigneeId;
	private transient String assigneeRole;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getPlanId() {
		return planId;
	}

	public void setPlanId(String planId) {
		this.planId = planId;
	}

	public String getAuditId() {
		return auditId;
	}

	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}

	public String getUnitId() {
		return unitId;
	}

	public void setUnitId(String unitId) {
		this.unitId = unitId;
	}

	public String getAuditStatus() {
		return auditStatus;
	}

	public void setAuditStatus(String auditStatus) {
		this.auditStatus = auditStatus;
	}

	public String getReportStatus() {
		return reportStatus;
	}

	public void setReportStatus(String reportStatus) {
		this.reportStatus = reportStatus;
	}

	public String getAllocator() {
		return allocator;
	}

	public void setAllocator(String allocator) {
		this.allocator = allocator;
	}

	public String getReportLanguage() {
		return reportLanguage;
	}

	public void setReportLanguage(String reportLanguage) {
		this.reportLanguage = reportLanguage;
	}

	public String getReportReviewer() {
		return reportReviewer;
	}

	public void setReportReviewer(String reportReviewer) {
		this.reportReviewer = reportReviewer;
	}

	public Date getReportReviewerStartDate() {
		return reportReviewerStartDate;
	}

	public void setReportReviewerStartDate(Date reportReviewerStartDate) {
		this.reportReviewerStartDate = reportReviewerStartDate;
	}

	public Date getReportReviewerTargetDate() {
		return reportReviewerTargetDate;
	}

	public void setReportReviewerTargetDate(Date reportReviewerTargetDate) {
		this.reportReviewerTargetDate = reportReviewerTargetDate;
	}

	public Date getReportTargetDate() {
		return reportTargetDate;
	}

	public void setReportTargetDate(Date reportTargetDate) {
		this.reportTargetDate = reportTargetDate;
	}

	public Date getReportReviewEndDate() {
		return reportReviewEndDate;
	}

	public void setReportReviewEndDate(Date reportReviewEndDate) {
		this.reportReviewEndDate = reportReviewEndDate;
	}

	public Date getReportDispatchDate() {
		return reportDispatchDate;
	}

	public void setReportDispatchDate(Date reportDispatchDate) {
		this.reportDispatchDate = reportDispatchDate;
	}

	public String getActionMakerId() {
		return actionMakerId;
	}

	public void setActionMakerId(String actionMakerId) {
		this.actionMakerId = actionMakerId;
	}

	public String getActionMakerRole() {
		return actionMakerRole;
	}

	public void setActionMakerRole(String actionMakerRole) {
		this.actionMakerRole = actionMakerRole;
	}

	public String getAssigneeId() {
		return assigneeId;
	}

	public void setAssigneeId(String assigneeId) {
		this.assigneeId = assigneeId;
	}

	public String getAssigneeRole() {
		return assigneeRole;
	}

	public void setAssigneeRole(String assigneeRole) {
		this.assigneeRole = assigneeRole;
	} 
}
